gsasl_server_step(3)

NAME
gsasl_server_step - API function

SYNOPSIS
#include <gsasl.h>

int gsasl_server_step(Gsasl_session * sctx, const char * input, size_t input_len, char * output, size_t * output_len);

ARGUMENTS

Gsasl_session * sctx
    libgsasl server handle.

const char * input
    input byte array.

size_t input_len
    size of input byte array.

char * output
    output byte array.

size_t * output_len
    size of output byte array.

DESCRIPTION
Perform one step of SASL authentication in server. This reads data from client (specified with input and input_len), processes it (potentially invoking callbacks to the application), and writes data to client (into variables output and output_len).

The contents of the output buffer is unspecified if this functions returns anything other than GSASL_NEEDS_MORE.

RETURN VALUE
Returns GSASL_OK if authenticated terminated successfully, GSASL_NEEDS_MORE if more data is needed, or error code.

DEPRECATED
Use gsasl_step() instead.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>. GNU SASL home page: http://www.gnu.org/software/gsasl/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual.